subroutine nubeam_debug_set(myid_debug,numproc_debug)
!
!mg march 2009
!sets
!myidd - processor id#
!numprocd  - number of processors 
!
!used in nubeam_test to mpi debug on ptcl sublist for one given processor
!with myid_debug and numproc_debug
!
  use nbi_mpi_com
  implicit none
  integer, intent(in) :: myid_debug,numproc_debug
   myidd=myid_debug
  numprocd=numproc_debug

end subroutine nubeam_debug_set

subroutine nubeam_retrieve_debug_mpi(ddebug_mpi,nnltest_output)
!
!mg march 2009
!retrieves data for  
!ddebug_mpi - logical vairable used for mpi_debugging (.true.)
!nnltest_output  - logical vairable used to produce data for nubeam_test
!
!used in nubeam_test to mpi debug on ptcl sublist for one given processor
!
  use nbi_com
  implicit none
  logical, intent(out) :: ddebug_mpi,nnltest_output
  ddebug_mpi=debug_mpi
  nnltest_output=nltest_output
  return

end subroutine nubeam_retrieve_debug_mpi
